Bug 1695023 - unable to open dvb device after update to 1.16.5
Summary: unable to open dvb device after update to 1.16.5
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: v4l-utils
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Hans de Goede
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-02 10:15 UTC by Wolfgang Ulbrich
Modified: 2019-08-08 14:50 UTC (History)
5 users (show)

Fixed In Version: v4l-utils-1.16.5-3.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-03 00:59:08 UTC
Type: Bug


Attachments (Terms of Use)
Reverting culprit commit from upstream git (2.76 KB, application/mbox)
2019-04-02 10:15 UTC, Wolfgang Ulbrich
no flags Details

Description Wolfgang Ulbrich 2019-04-02 10:15:57 UTC
Created attachment 1550940 [details]
Reverting culprit commit from upstream git

Description of problem:
After applying libv4l-1.16.5-1.fc30.x86_64 from update-testing https://bodhi.fedoraproject.org/updates/FEDORA-2019-58a48ede6c
opening my dvb device fails.

Version-Release number of selected component (if applicable):

libv4l-1.16.5-1.fc30.x86_64
How reproducible:

Starting kaffeine to play dvb context

Steps to Reproduce:
1. executing kaffeine in terminal
2. follow terminal messages.


Actual results:

[rave@mother ~]$ kaffeine 
01-04-19 21:56:14.182 [Info ] kaffeine.dvb: Using built-in dvb device manager 01-04-19 21:56:14.457 [Critical] kaffeine.dev: No such file or directory while opening �.zU 
01-04-19 21:56:14.457 [Warning ] kaffeine.dev: Cannot open frontend /dev/dvb/adapter0/frontend0

Expected results:

[rave@mother ~]$ kaffeine
02-04-19 12:09:26.929 [Info    ] kaffeine.dvb: Using built-in dvb device manager
02-04-19 12:09:27.934 [Info    ] kaffeine.dev: Found dvb device : DRXK DVB-C DVB-T


Additional info:

[root@mother rave]# dmesg | grep dvb
[    7.395848] usb 5-2: dvb_usb_v2: found a 'Technisat CableStar Combo HD CI' in warm state
[    8.581128] usb 5-2: dvb_usb_v2: will pass the complete MPEG2 transport stream to the software demuxer
[    8.581137] dvbdev: DVB: registering new adapter (Technisat CableStar Combo HD CI)
[    8.584204] usb 5-2: dvb_usb_v2: MAC address: c2:f7:14:03:00:00
[    8.604045] usb 5-2: Direct firmware load for dvb-usb-technisat-cablestar-hdci-drxk.fw failed with error -2
[    8.604046] drxk: Could not load firmware file dvb-usb-technisat-cablestar-hdci-drxk.fw.
[    8.604046] drxk: Copy dvb-usb-technisat-cablestar-hdci-drxk.fw to your hotplug directory!
[    9.002731] usb 5-2: dvb_usb_v2: 'Technisat CableStar Combo HD CI' successfully initialized and connected
[    9.004908] usbcore: registered new interface driver dvb_usb_az6007


Note: Reverting this commit from upstream git solves the issue.
https://git.linuxtv.org/v4l-utils.git/commit/?h=stable-1.16&id=c82608ca1595427c2bdbd4abb9aca9163e1df60a

Comment 1 Wolfgang Ulbrich 2019-04-02 10:21:20 UTC
[    8.604045] usb 5-2: Direct firmware load for dvb-usb-technisat-cablestar-hdci-drxk.fw failed with error -2

This can be ignored. This goes away if i install the firmware.
But the device works without installing firmware from https://linuxtv.org/wiki/index.php/TechniSat_CableStar_Combo_HD_CI  .

Comment 2 Wolfgang Ulbrich 2019-04-09 09:13:31 UTC
Can this commit be removed for fedora please?
People starts filing out reports against kaffeine at rpmfusion? https://bugzilla.rpmfusion.org/show_bug.cgi?id=5227

Comment 3 Peter Robinson 2019-04-16 16:16:21 UTC
So it looks like this has been fixed with the following fix:

https://git.linuxtv.org/v4l-utils.git/commit/?h=stable-1.16&id=78057aaa784a922b4ac6af9f323b828f7a834581

Comment 4 Fedora Update System 2019-04-16 16:52:44 UTC
v4l-utils-1.16.5-2.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-63f1324ee0

Comment 5 Wolfgang Ulbrich 2019-04-16 17:18:23 UTC
Nope, i don't know what this commit fix, but it doesn't fix the frontend problem.
I tried https://git.linuxtv.org/v4l-utils.git/commit/?h=stable-1.16&id=78057aaa784a922b4ac6af9f323b828f7a834581
from stable 1.16 branch.

[rave@mother ~]$ kaffeine
16-04-19 19:04:13.512 [Info    ] kaffeine.dvb: Using built-in dvb device manager
16-04-19 19:04:13.774 [Critical] kaffeine.dev: No such file or directory beim Öffnen von p���U
16-04-19 19:04:13.774 [Warning ] kaffeine.dev: Cannot open frontend /dev/dvb/adapter0/frontend0

Comment 6 Wolfgang Ulbrich 2019-04-16 17:35:45 UTC
Same disappointing result with your koji build https://koji.fedoraproject.org/koji/buildinfo?buildID=1251286

[rave@mother ~]$ kaffeine
16-04-19 19:26:02.566 [Info    ] kaffeine.dvb: Using built-in dvb device manager
16-04-19 19:26:02.849 [Critical] kaffeine.dev: No such file or directory beim Öffnen von �3���U
16-04-19 19:26:02.849 [Warning ] kaffeine.dev: Cannot open frontend /dev/dvb/adapter0/frontend0

Comment 7 Wolfgang Ulbrich 2019-04-16 17:43:01 UTC
Btw. Why not doing a scratch for testing before pushing to bodhi?

Comment 8 Fedora Update System 2019-04-17 01:02:59 UTC
v4l-utils-1.16.5-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-63f1324ee0

Comment 9 edpil02 2019-04-18 06:45:01 UTC
Just try v4l-utils-1.16.5-2.fc31 and same issue

install libdvbv5-1.16.5-2.fc31.x86_64  
18-04-19 08:39:06.635 [Info    ] kaffeine.dvb: Using built-in dvb device manager
18-04-19 08:39:06.727 [Critical] kaffeine.dev: Aucun fichier ou dossier de ce type while opening  �
18-04-19 08:39:06.727 [Warning ] kaffeine.dev: Cannot open frontend /dev/dvb/adapter0/frontend0

Rebuild with revert commit patch solves the issue.

Comment 10 Robert Scheck 2019-04-29 20:40:56 UTC
I am sorry, but libdvbv5-1.16.5-2.fc30 is exactly same broken like libdvbv5-1.16.5-1.fc30, they both make DVB functionality unusable. The only working package is the old libdvbv5-1.16.3-2.fc30. Please unpush this broken update, revert the culprit commit from upstream git or really fix the issue (and that's basically what Wolfgang is requesting for 2+ weeks now).

Comment 11 edpil02 2019-04-30 06:36:57 UTC
This bug seems to be fixed in upstream :


Revert "libdvbv5: leaks and double free in dvb_fe_open_fname()"
This reverts commit c82608ca1595427c2bdbd4abb9aca9163e1df60a.

This patch is buggy, as reported at:

	https://bugs.kde.org/show_bug.cgi?id=406145
	https://bugzilla.redhat.com/show_bug.cgi?id=1695023

So, revert it, in order to make Kaffeine work again.

Thanks to Wolfgang Ulbrich with detected the bad patch and
checked that reverting it fixes the issue.

Fix tested with a PCTV 461 and a DVB-S2 stream from my TV
provider.

Signed-off-by: Mauro Carvalho Chehab <mchehab+samsung@kernel.org>

Comment 12 Fedora Update System 2019-05-01 09:06:42 UTC
v4l-utils-1.16.5-3.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-09409bcdb4

Comment 13 Fedora Update System 2019-05-02 02:59:38 UTC
v4l-utils-1.16.5-3.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-09409bcdb4

Comment 14 Fedora Update System 2019-05-03 00:59:08 UTC
v4l-utils-1.16.5-3.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.